Name:          mpg123
Version:       1.22.4
Release:       1mamba
Summary:       A real time MPEG 1.0/2.0/2.5 audio player for layers 1,2 and 3
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.mpg123.de/
Source:        http://www.mpg123.de/download/mpg123-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
%if "%{stage1}" != "1"
BuildRequires: libjack-devel
%endif
BuildRequires: libltdl-devel
## AUTOBUILDREQ-END
BuildRequires: libSDL-devel >= 1.2.11
Requires:      lib%{name} = %{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
mpg123 is a real time MPEG 1.0/2.0/2.5 audio player for layers 1,2 and 3 (MPEG 1.0 layer 3 aka MP3 most commonly tested).

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
mpg123 is a real time MPEG 1.0/2.0/2.5 audio player for layers 1,2 and 3 (MPEG 1.0 layer 3 aka MP3 most commonly tested).
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Summary:       Development files for mpg123
Group:         Development/Libraries
Requires:      lib%{name} = %{version}-%{release}
Provides:      mpg123-devel
Obsoletes:     mpg123-devel

%description -n lib%{name}-devel
mpg123 is a real time MPEG 1.0/2.0/2.5 audio player for layers 1,2 and 3 (MPEG 1.0 layer 3 aka MP3 most commonly tested).
This package contains the static libraries and headers for development.

%debug_package

%prep
%setup -q

%build
%configure \
%if "%{stage1}" != "1"
   --with-audio=jack,alsa,oss \
   --with-default-audio=jack
%else
   --with-audio=alsa,oss \
   --with-default-audio=alsa
%endif

%make

%post -n lib%{name}
/sbin/ldconfig
:

%postun -n lib%{name}
/sbin/ldconfig
:

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mpg123
%{_bindir}/mpg123-id3dump
%{_bindir}/mpg123-strip
%{_bindir}/out123
%{_mandir}/man1/mpg123.1*
%{_mandir}/man1/out123.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libmpg123.so.*
%{_libdir}/mpg123/output_dummy.la
%{_libdir}/mpg123/output_dummy.so
%{_libdir}/mpg123/output_alsa.la
%{_libdir}/mpg123/output_alsa.so
%if "%{stage1}" != "1"
%{_libdir}/mpg123/output_jack.la
%{_libdir}/mpg123/output_jack.so
%endif
%{_libdir}/mpg123/output_oss.la
%{_libdir}/mpg123/output_oss.so
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/mpg123.h
%{_libdir}/libmpg123.la
%{_libdir}/libmpg123.so
%{_libdir}/pkgconfig/libmpg123.pc
%doc ChangeLog NEWS README

%changelog
* Sat Oct 24 2015 Automatic Build System <autodist@mambasoft.it> 1.22.4-1mamba
- automatic version update by autodist

* Thu Aug 06 2015 Automatic Build System <autodist@mambasoft.it> 1.22.3-1mamba
- automatic version update by autodist

* Tue Jun 09 2015 Automatic Build System <autodist@mambasoft.it> 1.22.2-1mamba
- automatic update by autodist

* Mon Apr 13 2015 Automatic Build System <autodist@mambasoft.it> 1.22.1-1mamba
- automatic version update by autodist

* Thu Feb 26 2015 Automatic Build System <autodist@mambasoft.it> 1.22.0-1mamba
- automatic version update by autodist

* Sat Oct 11 2014 Automatic Build System <autodist@mambasoft.it> 1.21.0-1mamba
- automatic version update by autodist

* Sun Jul 13 2014 Automatic Build System <autodist@mambasoft.it> 1.20.1-1mamba
- automatic update by autodist

* Wed Jun 04 2014 Automatic Build System <autodist@mambasoft.it> 1.20.0-1mamba
- automatic update by autodist

* Sun May 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.19.0-2mamba
- add libmpg123 and libmpg123-devel

* Tue Mar 18 2014 Automatic Build System <autodist@mambasoft.it> 1.19.0-1mamba
- automatic version update by autodist

* Mon Feb 17 2014 Automatic Build System <autodist@mambasoft.it> 1.18.1-1mamba
- automatic version update by autodist

* Sat Feb 01 2014 Automatic Build System <autodist@mambasoft.it> 1.18.0-1mamba
- automatic version update by autodist

* Sun Jan 05 2014 Automatic Build System <autodist@mambasoft.it> 1.17.0-1mamba
- automatic version update by autodist

* Thu Oct 10 2013 Automatic Build System <autodist@mambasoft.it> 1.16.0-1mamba
- automatic version update by autodist

* Thu May 23 2013 Automatic Build System <autodist@mambasoft.it> 1.15.4-1mamba
- automatic version update by autodist

* Thu Apr 04 2013 Automatic Build System <autodist@mambasoft.it> 1.15.3-1mamba
- automatic version update by autodist

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 1.15.1-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 1.14.4-1mamba
- automatic version update by autodist

* Wed Apr 25 2012 Automatic Build System <autodist@mambasoft.it> 1.13.8-1mamba
- automatic version update by autodist

* Tue May 03 2011 Automatic Build System <autodist@mambasoft.it> 1.13.3-1mamba
- automatic update by autodist

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 1.13.2-1mamba
- automatic update by autodist

* Tue Jan 11 2011 Automatic Build System <autodist@mambasoft.it> 1.13.1-1mamba
- automatic update by autodist

* Sat Dec 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13.0-1mamba
- update to 1.13.0

* Thu Nov 11 2010 Automatic Build System <autodist@mambasoft.it> 1.12.5-1mamba
- automatic update by autodist

* Tue Sep 28 2010 Automatic Build System <autodist@mambasoft.it> 1.12.4-1mamba
- automatic update by autodist

* Thu Jul 08 2010 Automatic Build System <autodist@mambasoft.it> 1.12.3-1mamba
- automatic update by autodist

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 1.12.2-1mamba
- automatic update by autodist

* Wed Apr 14 2010 Automatic Build System <autodist@mambasoft.it> 1.12.1-1mamba
- automatic update by autodist

* Thu Dec 10 2009 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic update by autodist

* Tue Nov 24 2009 Automatic Build System <autodist@mambasoft.it> 1.9.2-1mamba
- automatic update by autodist

* Tue Oct 13 2009 Automatic Build System <autodist@mambasoft.it> 1.9.1-1mamba
- automatic update by autodist

* Thu Aug 13 2009 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic update by autodist

* Tue Jun 23 2009 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic update by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 1.7.3-1mamba
- automatic update by autodist

* Thu Apr 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.2-1mamba
- automatic update by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.4-1mamba
- automatic update by autodist

* Sat Dec 20 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.2-1mamba
- automatic update by autodist

* Sun Aug 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-1mamba
- update to 1.5.1
- added devel package

* Mon Jan 22 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.64-1qilnx
- package created by autospec
